summary.STmodel {SpatioTemporal} | R Documentation

## Computes summary details for `STmodel` object

### Description

`summary` method for class `STmodel`.

### Usage

    ## S3 method for class 'STmodel'
    summary(object, type = object$covars$type, ...)

### Arguments

`object` | `STmodel` object to compute summary information for.
`type` | Factorial of `length(x$locations$ID)`, if not `NULL` the output also presents summaries of number of sites and observations as well as time periods per type of site.
`...` | Ignored additional arguments.

### Value

A `summary.STmodel` object.

### Author(s)

Johan Lindstrom

### See Also

Other STmodel methods: `MCMC.STmodel`, `c.STmodel`, `createSTmodel`, `estimate.STmodel`, `estimateCV.STmodel`, `plot.STdata`, `predict.STmodel`, `print.STmodel`, `print.summary.STmodel`, `qqnorm.predCVSTmodel`, `scatterPlot.predCVSTmodel`, `simulate.STmodel`

### Examples

    ##load some data
    data(mesa.model)
    ##Summary of data fields.
    summary(mesa.model)

[Package SpatioTemporal version 1.1.9.1 Index]